package com.ebaiyihui.family.doctor.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NonNull;

import javax.validation.constraints.NotNull;

/**
 * 管理端订单列表入参
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class OrderListReqDTO extends PageDTO {

    @ApiModelProperty("搜索参数")
    private String keyWord;

    @ApiModelProperty("医院code")
    private String appCode;

    @ApiModelProperty("订单状态")
    private String orderStatus;

    @ApiModelProperty("科室名称")
    private String deptName;

    @ApiModelProperty("1订单开始时间/2订单结束时间")
    private String timeType;

    @ApiModelProperty("开始时间")
    private String beginTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    @ApiModelProperty("订单类型 1-签约订单 2-值班医生问诊订单")
    private Integer singStatus = 1;
}
