package com.ebaiyihui.family.doctor.common.vo.cloudHis;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author lc
 * @date 2024/03/27
 * @packageName com.ebaiyihui.his.pojo.vo.appoint
 * @description
 */
@Data
public class DiagnosticReqDTO {
    @ApiModelProperty(value =  "当前操作人ID【自动获取】")
    private Integer operatorId;

    @ApiModelProperty(value = "当前操作人名称【自动获取】")
    private String operatorName;

    @ApiModelProperty(value ="所属租户ID【自动获取】")
    private Integer tenantId;

    @ApiModelProperty(value = "门诊号")
    private String outpatientNo;

    @ApiModelProperty(value = "体温")
    private BigDecimal temperature;

    @ApiModelProperty(value = "脉率")
    private String pulseRate;

    @ApiModelProperty(value = "呼吸")
    private String breathing;

    @ApiModelProperty(value = "血压类型【1:起床1小时 2:午餐后 3:晚餐后 4:入睡前 5:其它】")
    private String bloodPressureType;

    @ApiModelProperty(value = "收缩压")
    private String systolicPressure;

    @ApiModelProperty(value = "舒张压")
    private String diastolicPressure;

    @ApiModelProperty(value = "身高")
    private String height;

    @ApiModelProperty(value = "体重")
    private Double weight;

    @ApiModelProperty(value = "【BMI的计算公式=体重（kg）÷身高÷身高 例如：55÷1.60÷1.60】【1:18.5-23.9正常范围 2:超过23.9肥胖 3:低于18.5体重低下")
    private String bmi;

    @ApiModelProperty(value = "血氧饱和度")
    private String saturation;

    @ApiModelProperty(value = "血糖日期")
    private Date bloodData;

    @ApiModelProperty(value = "血糖类型【1:空腹 2:早餐后 3:午餐前 4:午餐后 5:晚餐前 6:晚餐后 7:睡前】")
    private String bloodType;

    @ApiModelProperty(value = "血糖")
    private String blood;

    @ApiModelProperty(value = "附件地址")
    private String attachmentAddress;

    @ApiModelProperty(value = "处理意见")
    private String handleOpinion;

    @ApiModelProperty(value = "诊断")
    private List<DiagnosticDetailReqDTO> diagnosis;

    @ApiModelProperty(value = "慢特病类型")
    private String cdType;

    @ApiModelProperty(value = "体格检查")
    private String physicalExam;

    @ApiModelProperty(value = "辅助检查")
    private String auxiliaryInspection;

    @ApiModelProperty(value = "主诉")
    private String chiefComplaint;

    @ApiModelProperty(value = "现病史")
    private String presentMedicalHistory;

    @ApiModelProperty(value="叙述人【1.本人 2.其他】")
    private Integer narrator;

    @ApiModelProperty(value="叙述人关系id")
    private Integer narratorRelationship;

    @ApiModelProperty(value="叙述人关系名称")
    private String narratorRelationshipName;

    @ApiModelProperty(value="叙述人姓名")
    private String narratorName;

    @ApiModelProperty(value="叙述人身份证")
    private String narratorCardNo;


    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value="叙述人phone")
    private String narratorPhone;

    @ApiModelProperty(value = "既往史")
    private String medicalHistory;

    @ApiModelProperty(value = "过敏史文本")
    private String allergyHistoryText;
}
